Bug 830892 - LDAP - Group filter if wrapped in () causes trouble
LDAP - Group filter if wrapped in () causes trouble
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On: 784164
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 11:12 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 784164
Environment:
Last Closed: 2012-08-01 12:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-06-11 11:12:34 EDT
+++ This bug was initially created as a clone of Bug #784164 +++

Description of problem:

Splunk supports an LDAP configuration key like this:

groupBaseFilter = (|(cn=some-org-all)(cn=SplunkAdmin)(cn=some-ops)(cn=OurNOC))

This attribute cuts down on what's displayed on the role mapping screen on Splunk. RHQ seems to fail with this, but does support something similar to:

groupBaseFilter = |(cn=some-org-all)(cn=SplunkAdmin)(cn=some-ops)(cn=OurNOC)

Version-Release number of selected component (if applicable): 4.3

The LDAP test program shows something like:
**Verbose:debug ---- stack trace reference:javax.naming.directory.InvalidSearchFilterException: invalid attribute description; remaining name 'dc=xxx,dc=com'

The problem code:

modules/enterprise/server/jar/src/main/java/org/rhq/enterprise/server/resource/group/LdapGroupManagerBean.java

        if ((groupFilter != null) && (!groupFilter.trim().isEmpty())) {
            String filter = String.format("(%s)", groupFilter);
^^^
            return buildGroup(systemConfig, filter);
        }

() should not be added if there is () already.

Note: I also don't see anything logged in rhq-server-log4j.log when this fails. Is this something bizarre about the logging configuration? Mine is out-of-the-box.

--- Additional comment from mfoley@redhat.com on 2012-01-30 11:22:05 EST ---

12/30/2012 BZ triage meeting mfoley, ccrouch, loleary, asantos

--- Additional comment from hrupp@redhat.com on 2012-06-06 04:12:41 EDT ---

RFC 2254 defines the syntax http://tools.ietf.org/html/rfc2254

Section 4 gives the grammar and this supports your analysis

--- Additional comment from hrupp@redhat.com on 2012-06-06 07:54:40 EDT ---

master f68af16fc6299

Note You need to log in before you can comment on or make changes to this bug.